%define version 0.4.0
%define release 1mdk

%define api_version 1
%define libmajor 0
%define libname %mklibname gdl- %{api_version}

Summary:	Gnome Devtool Libraries (GDL)
Name:		gdl
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.gnome.org/softwaremap/projects/scaffold/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.4/%{name}-%{version}.tar.bz2

BuildRequires:	libxml2-devel >= 2.2.8
BuildRequires:	libgnomeui2-devel >= 2.2.0
BuildRequires:	libglade2.0-devel >= 2.0.0
Requires:	%{libname}_%{libmajor} = %{version}-%{release}

%description
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and scaffold.  Currently GDL include:

  o A symbol browser bonobo component (symbol-browser-control).
  o A docking widget (gdl).
  o A utility library that also contains the stubs and skels for
    the symbol browser and text editor components (gdl, idl).

%package -n %{libname}_%{libmajor}
Summary:	Main library of Gnome Devtool Libraries (GDL)
Group:		System/Libraries
Provides:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}_%{libmajor}
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and scaffold.

This package contains main libraries that contains widgets
shared among many GNOME development tools.

%package -n %{libname}_%{libmajor}-devel
Summary:	Gnome Devtool Libraries
Group:		Development/GNOME and GTK+
Provides:	%{libname}-devel = %{version}-%{release}
Requires:	%{libname}_%{libmajor} = %{version}-%{release}

%description -n %{libname}_%{libmajor}-devel
GDL contains components and libraries that are intended to be
shared between GNOME development tools, including gnome-debug,
gnome-build, and scaffold.

This package contains headers and other development files needed
for developing/compiling applications that needs GNOME
development tools,

%prep
%setup -q

%build
# MDK does not have libtool 1.5
%define __libtoolize /bin/true
%configure2_5x
%make

%install
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%define gettext_package gdl-1
%{find_lang} %{gettext_package}

%clean
[ -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" ] || rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{libmajor} -p /sbin/ldconfig
%postun -n %{libname}_%{libmajor} -p /sbin/ldconfig

%files -f %{gettext_package}.lang
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/*
%{_datadir}/idl/*
%{_datadir}/%{name}
%{_datadir}/gnome-2.0/ui/*
%{_libdir}/bonobo/servers/*.server

%files -n %{libname}_%{libmajor}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/lib*.so.*

%files -n %{libname}_%{libmajor}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog MAINTAINERS NEWS
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Aug 21 2003 Abel Cheung <maddog@linux.org.hk> 0.4.0-1mdk
- First Mandrake spec
